AuthTokenEnabledComponents (Apache Geode 1.14.2)
Date: 2021-12-14

org.apache.geode.security

## Enum AuthTokenEnabledComponents

- java.lang.Object
- - java.lang.Enum<AuthTokenEnabledComponents>
  - - org.apache.geode.security.AuthTokenEnabledComponents

- All Implemented Interfaces:
    Serializable, Comparable<AuthTokenEnabledComponents>

      public enum AuthTokenEnabledComponents
      extends Enum<AuthTokenEnabledComponents>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL` This determines that all rest components will use token based authentication.
    `MANAGEMENT` This determines that management rest service will use token based authentication.
    `PULSE` This determines if Pulse will use token based authentication.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `hasManagement(String value)`
    `static boolean` | `hasPulse(String value)`
    `static AuthTokenEnabledComponents` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AuthTokenEnabledComponents[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALL

          public static final AuthTokenEnabledComponents ALL

      This determines that all rest components will use token based authentication. Since: Geode 1.11

    - #### MANAGEMENT

          public static final AuthTokenEnabledComponents MANAGEMENT

      This determines that management rest service will use token based authentication. Since: Geode 1.11

    - #### PULSE

          public static final AuthTokenEnabledComponents PULSE

      This determines if Pulse will use token based authentication. Since: Geode 1.13

  - ### Method Detail

    - #### values

          public static AuthTokenEnabledComponents[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AuthTokenEnabledComponents c : AuthTokenEnabledComponents.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AuthTokenEnabledComponents valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### hasManagement

          public static boolean hasManagement(String value)

    - #### hasPulse

          public static boolean hasPulse(String value)